import fs from 'fs'
import path from 'path'

/**
 * Reads the DATA_IN log and sums all inward transactions
 */
const receivedData = () => {
  if (!fs.existsSync(path.resolve(process.cwd(), './logs/DATA_IN'))) process.exit(1)

  const buf = fs.readFileSync(path.resolve(process.cwd(), './logs/DATA_IN'))
  const numbers = buf.toString().split(',').map(d => parseInt(d))
  numbers.splice(numbers.length - 1, 1)
  const total = numbers.reduce((acc, num) => {
    return acc + num
  }, 0)

  console.log(`The cache has received a total of ${total} bytes`)
}

receivedData()
