import fs from 'fs'
import path from 'path'

/**
 * Reads the DATA_OUT log and sums all outward transactions
 */
const sentData = () => {
  if (!fs.existsSync(path.resolve(process.cwd(), './logs/DATA_OUT'))) process.exit(1)

  const buf = fs.readFileSync(path.resolve(process.cwd(), './logs/DATA_OUT'))
  const numbers = buf.toString().split(',').map(d => parseInt(d))
  numbers.splice(numbers.length - 1, 1)
  const total = numbers.reduce((acc, num) => {
    return acc + num
  }, 0)
  console.log(`The cache has sent a total of ${total} bytes`)
}

sentData()
