import { Sequelize, Model, CreationOptional, InferAttributes, InferCreationAttributes } from 'sequelize';
export default class MetaData extends Model<InferAttributes<MetaData>, InferCreationAttributes<MetaData>> {
    id: CreationOptional<number>;
    variable: number;
    vessel: number;
    from: number;
    to: number;
}
export declare const initMetaData: (sequelize: Sequelize) => typeof MetaData;
