import { workerData, parentPort } from 'worker_threads'
import { Changes } from '../../proto/cdplogreader'

/**
 * Encodes {@see Changes} without blocking the process
 */

const buffer = Buffer.from(Changes.encode(workerData as Changes).finish())
parentPort?.postMessage(buffer)
