import { Box, Text } from '@chakra-ui/react'
import { ReactElement } from 'react'
/**
 * Functional Component for rendering About Page
 *
 * @returns {ReactElement} functional component
 */
const About = (): ReactElement => {
  return (
    <Box display="flex" flexDir="column" flex="1" maxW={'6xl'} alignItems="center">
      <Text mt={10}>Info found in README</Text>
    </Box>
  )
}

export default About
