import { mode } from '@chakra-ui/theme-tools'

export const button = {
  baseStyle: {},
  sizes: {},
  variants: {
    /**
     * Primary Theme Callback
     *
     * @param {any} props button props
     * @returns {any} button theme
     */
    primary: (props: any) => ({
      color: mode('gray.800', 'whiteAlpha.900')(props),
      border: 0,
      bg: mode('gray.100', 'whiteAlpha.100')(props),
      // boxShadow: '0 5px 20px 0px rgb(72 187 120 / 43%)',
      focusBorderColor: 'red.700',
      _hover: {
        bg: mode('gray.200', 'whiteAlpha.200')(props)
      },
      _focus: {
        boxShadow: '0 0 0 3px var(--chakra-colors-gray-500)'
      }
    })
  },
  defaultProps: {
    variant: 'primary'
  }
}
