import _m0 from "protobufjs/minimal";
export declare const protobufPackage = "";
export interface Ranges {
    from: string;
    to: string;
}
export interface Command {
    action: string;
    vessel?: string | undefined;
    data: string[];
    ranges?: Ranges | undefined;
}
export interface CommandResponse {
    success: boolean;
    error?: string | undefined;
}
export declare const Ranges: {
    encode(message: Ranges, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): Ranges;
    fromJSON(object: any): Ranges;
    toJSON(message: Ranges): unknown;
    fromPartial<I extends {
        from?: string | undefined;
        to?: string | undefined;
    } & {
        from?: string | undefined;
        to?: string | undefined;
    } & Record<Exclude<keyof I, keyof Ranges>, never>>(object: I): Ranges;
};
export declare const Command: {
    encode(message: Command, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): Command;
    fromJSON(object: any): Command;
    toJSON(message: Command): unknown;
    fromPartial<I extends {
        action?: string | undefined;
        vessel?: string | undefined;
        data?: string[] | undefined;
        ranges?: {
            from?: string | undefined;
            to?: string | undefined;
        } | undefined;
    } & {
        action?: string | undefined;
        vessel?: string | undefined;
        data?: (string[] & string[] & Record<Exclude<keyof I["data"], keyof string[]>, never>) | undefined;
        ranges?: ({
            from?: string | undefined;
            to?: string | undefined;
        } & {
            from?: string | undefined;
            to?: string | undefined;
        } & Record<Exclude<keyof I["ranges"], keyof Ranges>, never>) | undefined;
    } & Record<Exclude<keyof I, keyof Command>, never>>(object: I): Command;
};
export declare const CommandResponse: {
    encode(message: CommandResponse, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): CommandResponse;
    fromJSON(object: any): CommandResponse;
    toJSON(message: CommandResponse): unknown;
    fromPartial<I extends {
        success?: boolean | undefined;
        error?: string | undefined;
    } & {
        success?: boolean | undefined;
        error?: string | undefined;
    } & Record<Exclude<keyof I, keyof CommandResponse>, never>>(object: I): CommandResponse;
};
declare type Builtin = Date | Function | Uint8Array | string | number | boolean | undefined;
export declare type DeepPartial<T> = T extends Builtin ? T : T extends Array<infer U> ? Array<DeepPartial<U>> : T extends ReadonlyArray<infer U> ? ReadonlyArray<DeepPartial<U>> : T extends {} ? {
    [K in keyof T]?: DeepPartial<T[K]>;
} : Partial<T>;
declare type KeysOfUnion<T> = T extends T ? keyof T : never;
export declare type Exact<P, I extends P> = P extends Builtin ? P : P & {
    [K in keyof P]: Exact<P[K], I[K]>;
} & Record<Exclude<keyof I, KeysOfUnion<P>>, never>;
export {};
