import _m0 from "protobufjs/minimal";
export declare const protobufPackage = "";
export interface MetaDataRequest {
    variable: string[];
    from?: string | undefined;
    to?: string | undefined;
}
export interface MetaDataRange {
    from: string;
    to: string;
}
export interface MetaDataList {
    variable: string;
    ranges: MetaDataRange[];
}
export interface MetaDataResponse {
    metadata: MetaDataList[];
    error?: string | undefined;
}
export declare const MetaDataRequest: {
    encode(message: MetaDataRequest, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): MetaDataRequest;
    fromJSON(object: any): MetaDataRequest;
    toJSON(message: MetaDataRequest): unknown;
    fromPartial<I extends {
        variable?: string[] | undefined;
        from?: string | undefined;
        to?: string | undefined;
    } & {
        variable?: (string[] & string[] & Record<Exclude<keyof I["variable"], keyof string[]>, never>) | undefined;
        from?: string | undefined;
        to?: string | undefined;
    } & Record<Exclude<keyof I, keyof MetaDataRequest>, never>>(object: I): MetaDataRequest;
};
export declare const MetaDataRange: {
    encode(message: MetaDataRange, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): MetaDataRange;
    fromJSON(object: any): MetaDataRange;
    toJSON(message: MetaDataRange): unknown;
    fromPartial<I extends {
        from?: string | undefined;
        to?: string | undefined;
    } & {
        from?: string | undefined;
        to?: string | undefined;
    } & Record<Exclude<keyof I, keyof MetaDataRange>, never>>(object: I): MetaDataRange;
};
export declare const MetaDataList: {
    encode(message: MetaDataList, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): MetaDataList;
    fromJSON(object: any): MetaDataList;
    toJSON(message: MetaDataList): unknown;
    fromPartial<I extends {
        variable?: string | undefined;
        ranges?: {
            from?: string | undefined;
            to?: string | undefined;
        }[] | undefined;
    } & {
        variable?: string | undefined;
        ranges?: ({
            from?: string | undefined;
            to?: string | undefined;
        }[] & ({
            from?: string | undefined;
            to?: string | undefined;
        } & {
            from?: string | undefined;
            to?: string | undefined;
        } & Record<Exclude<keyof I["ranges"][number], keyof MetaDataRange>, never>)[] & Record<Exclude<keyof I["ranges"], keyof {
            from?: string | undefined;
            to?: string | undefined;
        }[]>, never>) | undefined;
    } & Record<Exclude<keyof I, keyof MetaDataList>, never>>(object: I): MetaDataList;
};
export declare const MetaDataResponse: {
    encode(message: MetaDataResponse, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): MetaDataResponse;
    fromJSON(object: any): MetaDataResponse;
    toJSON(message: MetaDataResponse): unknown;
    fromPartial<I extends {
        metadata?: {
            variable?: string | undefined;
            ranges?: {
                from?: string | undefined;
                to?: string | undefined;
            }[] | undefined;
        }[] | undefined;
        error?: string | undefined;
    } & {
        metadata?: ({
            variable?: string | undefined;
            ranges?: {
                from?: string | undefined;
                to?: string | undefined;
            }[] | undefined;
        }[] & ({
            variable?: string | undefined;
            ranges?: {
                from?: string | undefined;
                to?: string | undefined;
            }[] | undefined;
        } & {
            variable?: string | undefined;
            ranges?: ({
                from?: string | undefined;
                to?: string | undefined;
            }[] & ({
                from?: string | undefined;
                to?: string | undefined;
            } & {
                from?: string | undefined;
                to?: string | undefined;
            } & Record<Exclude<keyof I["metadata"][number]["ranges"][number], keyof MetaDataRange>, never>)[] & Record<Exclude<keyof I["metadata"][number]["ranges"], keyof {
                from?: string | undefined;
                to?: string | undefined;
            }[]>, never>) | undefined;
        } & Record<Exclude<keyof I["metadata"][number], keyof MetaDataList>, never>)[] & Record<Exclude<keyof I["metadata"], keyof {
            variable?: string | undefined;
            ranges?: {
                from?: string | undefined;
                to?: string | undefined;
            }[] | undefined;
        }[]>, never>) | undefined;
        error?: string | undefined;
    } & Record<Exclude<keyof I, keyof MetaDataResponse>, never>>(object: I): MetaDataResponse;
};
declare type Builtin = Date | Function | Uint8Array | string | number | boolean | undefined;
export declare type DeepPartial<T> = T extends Builtin ? T : T extends Array<infer U> ? Array<DeepPartial<U>> : T extends ReadonlyArray<infer U> ? ReadonlyArray<DeepPartial<U>> : T extends {} ? {
    [K in keyof T]?: DeepPartial<T[K]>;
} : Partial<T>;
declare type KeysOfUnion<T> = T extends T ? keyof T : never;
export declare type Exact<P, I extends P> = P extends Builtin ? P : P & {
    [K in keyof P]: Exact<P[K], I[K]>;
} & Record<Exclude<keyof I, KeysOfUnion<P>>, never>;
export {};
