import express from 'express'
import data from './data/data'
import discover from './discover/discover'
import metadata from './metadata/metadata'

const route = express.Router({ mergeParams: true })

route.use('/discover', discover)
route.use('/data', data)
route.use('/metadata', metadata)

export default route
