export declare class HealthCheckSideCarObserver {
    private readonly observer;
    private readonly key;
    private accumulatedPongs;
    private canceled;
    constructor(observer: () => void, key: number);
    call(): void;
    getKey(): number;
    pong(): void;
    cancel(): void;
    isCanceled(): boolean;
}
export declare class HealthCheckSideCar {
    private static client;
    private static interval;
    private static ponged;
    private static observers;
    private static keyIndex;
    static init(): Promise<void>;
    private static makeClient;
    static observe(func: () => void): HealthCheckSideCarObserver;
    static cancel(observer: HealthCheckSideCarObserver): void;
}
