import configEnv from '../configuration/configEnv'
import setupDB from '../services/database/setupDB'
import Reading from '../models/reading';

/**
 * Resets the database in env by dropping and setting everything back up
 */
(async () => {
  console.log('Loading environment variables')
  configEnv()
  await setupDB()
  Reading.sequelize?.authenticate()
  Reading.sequelize?.sync({ force: true })
  console.log('Clearing database...')
  console.log('Reading cleared, exiting')
  process.exit()
})()
