/**
 * Defines the process.env values
 */
/* eslint no-unused-vars: "off" */

declare global {
    namespace NodeJS {
        interface ProcessEnv extends ENVParams {

        }
    }
}
interface ENVParams {
    DB_USER: string
    DB_PWD: string
    DB_URL: string
    DB_REQUIRE_TLS: string

    MQTT_BROKER_ADDRESS: string
    MQTT_REQUIRE_TLS: string
    MQTT_USER: string
    MQTT_PWD: string
    MQTT_PORT: string
}
