import { Signal } from '../../../proto/cdplogreader';
import { MqttClient } from 'mqtt';
import { ByteCounter } from '../../../services/logging/byteCounter';
import { EntityData } from '../../../services/database/entityDataController';
export interface FetchRangeMeta {
    client?: MqttClient;
    attempt?: number;
    metadata?: boolean;
    byteCounter?: ByteCounter;
}
declare const fetchRange: (vessel: EntityData, variable: EntityData, range: {
    from: number;
    to: number;
}, meta?: FetchRangeMeta) => Promise<Signal>;
export default fetchRange;
