import { InferAttributes, InferCreationAttributes, Model, Sequelize } from 'sequelize';
export interface ReadingBean extends InferCreationAttributes<Reading> {
    variable: number;
    value: number;
    vessel: number;
    timestamp: number;
}
export default class Reading extends Model<InferAttributes<Reading>, InferCreationAttributes<Reading>> {
    variable: number;
    value: number;
    vessel: number;
    timestamp: number;
}
export declare const initReading: (sequelize: Sequelize) => typeof Reading;
