import { CreationOptional, HasManyCreateAssociationMixin, HasManyGetAssociationsMixin, InferAttributes, InferCreationAttributes, Model, NonAttribute, Sequelize } from 'sequelize';
import Reading from './reading';
export declare class Variable extends Model<InferAttributes<Variable>, InferCreationAttributes<Variable>> {
    id: CreationOptional<number>;
    name: string;
    addReading: HasManyCreateAssociationMixin<Reading>;
    getReadings: HasManyGetAssociationsMixin<Reading>;
    readings: NonAttribute<Reading>;
}
export declare const initVariable: (sequelize: Sequelize) => typeof Variable;
