/**
 * Returns the connectionstring for the wirelogger database
 *
 * @returns {string} The connection string from the environment variables
 */
const getConnectionString = () => `postgres://${process.env.DB_USER}` +
    `:${process.env.DB_PWD}` +
    `@${process.env.DB_URL}/wirelogger`
export default getConnectionString
