import MetaData from '../../models/metaData';
export declare class MetaDataAggregator {
    private metadata;
    private timeout;
    private waiting;
    private readonly sensitivity;
    private static instance;
    static get: () => MetaDataAggregator;
    private constructor();
    private resetTimeout;
    kill(): void;
    add: (md: MetaData | MetaData[]) => void;
    waitOnRun: () => Promise<void>;
    private loadPrecedingMetaData;
    private loadFollowingData;
    private loadIntermediateData;
    run: () => Promise<void>;
    private aggregate;
}
