import fs from 'fs'
import path from 'path'

/**
 * Writes to the DATA_OUT log file
 *
 * @param {number} size the byte-count of the sent message
 */
const writeOutLog = (size: number) => {
  fs.appendFileSync(path.resolve(process.cwd(), './logs', './DATA_OUT'), `${size},`)
}
export default writeOutLog
