export const DATA_REQUEST_TOPIC = 'wlcache/data/+/request'
/**
 *
 * @param {string} vessel The name of the vessel
 * @returns {string} The response topic
 */
export const DATA_RESPONSE_TOPIC = (vessel: string) => `wlcache/data/${vessel}/response`

export const HEALTHCHECK_REQUEST_TOPIC = 'wlcache/healthcheck/request'
export const HEALTHCHECK_RESPONSE_TOPIC = 'wlcache/healthcheck/response'

export const COMMAND_REQUEST_TOPIC = 'wlcache/command/request'

/**
 *
 * @param {string} command The action of the command
 * @returns {string} The response topic
 */
export const COMMAND_RESPONSE_TOPIC = (command: string) => `wlcache/command/response/${command}`

export const METADATA_REQUEST_TOPIC = 'wlcache/metadata/+/request'

/**
 *
 * @param {string} vessel The name of the vessel
 * @returns {string} The response topic
 */
export const METADATA_RESPONSE_TOPIC = (vessel: string) => `wlcache/metadata/${vessel}/response`
