export const navigation = [
  {
    title: 'Vessels',
    path: '/vessels',
    side: true
  },
  {
    title: 'Commands',
    path: '/commands',
    side: true
  },
  {
    title: 'About',
    path: '/about',
    side: false
  }
]

export const colors = ['#E74C3C', '#9B59B6', '#27AE60', '#E67E22', '#3498DB', '#F1C40F']

export enum ToastStatus {
  // eslint-disable-next-line no-unused-vars
  Success = 'success',
  // eslint-disable-next-line no-unused-vars
  Error = 'error',
  // eslint-disable-next-line no-unused-vars
  Warning = 'warning',
  // eslint-disable-next-line no-unused-vars
  Info = 'info'
}
