import express from 'express'
import wipe from '../../handlers/commands/wipe'

const route = express.Router({ mergeParams: true })

route.post('/wipe', async (req, res) => {
  const vessel = req.body?.vessel
  const ranges = req.body?.ranges
  const data = req.body?.data
  try {
    if (ranges != null) {
      if (ranges.from != null) {
        BigInt(ranges.from)
      }
      if (ranges.to != null) {
        BigInt(ranges.to)
      }
    }
    if (data != null && !Array.isArray(data)) {
      throw new Error('Data must be undefined or an array')
    }
  } catch (e) {
    res.status(400)
    res.send(e)
    return
  }

  if (vessel == null && data == null && ranges == null) return res.status(400).send('A parameter must be given')
  const response = await wipe(vessel, data, ranges)

  res.send(response)
})
export default route
